const { Sequelize } = require("sequelize")
const { DB_NAME, DB_USER, DB_PASS, DB_HOST, DB_PORT } = process.env;

const db = new Sequelize(DB_NAME, DB_USER, DB_PASS, {
    host: DB_HOST,
    port: DB_PORT || 3306,
    dialect: 'mysql',
    logging: false,
    pool: {
        max: 5,
        min: 0,
        acquire: 30000,
        idle: 10000
    }
});

exports.dbStart = () => {
    db.authenticate()
    .then(() => console.log("DATABASE CONNECTED"))
    .catch(err => console.log("Error: ", err))
}
exports.orm = db;